<?php

// $Id: index.php,v 1.6 2005/04/15 06:38:13 rdjurovich Exp $

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2005, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title><?php page_title(); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<?php
// this allows to include the optional module files (frontend.css, frontend.js) into the head section
if(function_exists('register_frontend_modfiles')) {
  register_frontend_modfiles('css');
  register_frontend_modfiles('js');
} ?>
<link href="<?php echo TEMPLATE_DIR; ?>/screen.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo TEMPLATE_DIR; ?>/print.css" rel="stylesheet" type="text/css" media="print" />
</head>

<body>
<div id="wrapper">
	<div id="topstrip"></div>
	<div id="header">
			<a href="<?php echo WB_URL; ?>/" target="_top"><?php echo WEBSITE_TITLE; ?></a>
		 <div id="pagetitle"><?php echo PAGE_TITLE; ?></div>
	</div>
	<div id="subheader">
		<div class="search_box">
			<?php if(SHOW_SEARCH) { ?>
			<form name="search" action="<?php echo WB_URL.'/search/index'.PAGE_EXTENSION; ?>" method="post">
			<input type="text" name="string" class="search_string" />
			<input type="submit" name="submit" value="Search" class="search_submit" />
			</form>
			<?php } ?>
		</div>
		<div id="topnav"><ul><li><a href="#" title="Your domain home here">Home</a></li><li><a href="#" title="Second hard-coded link here">Link
		        2</a></li><li><a href="#" title="hard-coded link">Link 3</a></li><li><a href="#" title="hard-coded link">Link
		            4</a></li><li class="last"><a href="#" title="hard-coded link">Link 5</a></li></ul>
		</div>
		<div class="clearer"></div>
	</div><!--end subheader -->
	<div id="main">
	<div id="main2">
	<div id="main3">
		<div id="content">
			<?php page_content(); ?>
		</div><!--end content -->
		
				<?php
	// Only show menu items if we are supposed to
	if(SHOW_MENU) {
	?>	
	<div class="menu">
		<?php page_menu(0, 1, '<li class="menu_main"[class]>[a][menu_title][/a]</li>', '<ul>', '</ul>', '', ' style="font-weight: bold;"'); ?>
		
		<?php
		if(FRONTEND_LOGIN == 'enabled' AND VISIBILITY != 'private' AND $admin->get_session('USER_ID') == '') {
		?>
		<form name="login" action="<?php echo LOGIN_URL; ?>" method="post" class="login_table">
			<h1><?php echo $TEXT['LOGIN']; ?></h1>
			<?php echo $TEXT['USERNAME']; ?>:
			<input type="text" name="username" style="text-transform: lowercase;" />
			<?php echo $TEXT['PASSWORD']; ?>:
			<input type="password" name="password" />
			<input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" style="margin-top: 3px; text-transform: uppercase;" />
			<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>
				<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
					<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
				<?php } ?>
		</form>
		<?php
		} elseif(FRONTEND_LOGIN == 'enabled' AND is_numeric($admin->get_session('USER_ID'))) {
		?>
		<form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post" class="login_table">
			<h1><?php echo $TEXT['LOGGED_IN']; ?></h1>
			<?php echo $TEXT['WELCOME_BACK']; ?>, <?php echo $admin->get_display_name(); ?>
			<br />
			<input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" />
			<br />
			<a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a>
			<a href="<?php echo ADMIN_URL; ?>/"><?php echo $TEXT['ADMINISTRATION']; ?></a>
		</form>
		<?php
		}
		?>
	</div>
	<?php } ?>
			<!--end menu -->
		<div class="clearer">&nbsp;</div>
	</div><!--end main3 -->
	</div><!--end main2 -->
	</div><!--end main -->
	<div class="footer">
		<?php page_footer(); ?>
	</div><!--end footer -->
	<div class="powered_by">
		Powered by <a href="http://www.websitebaker.org" target="_blank">Website Baker</a>
	</div>
</div>
<!--end wrapper -->
</body>
</html>
